/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/*
	@TODO: Add to theme: new division fix for updated sass package.
*/
/**==================================================================================================================================
BREAKPOINT
@TODO: remove? What is use case?? either use simple global points or write custom line. why does first breakpoint have to be 0?
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
.epilepsi-image-fade-in {
  width: 100%;
  color: var(--color__white);
  position: relative;
  padding: 10rem 0 12rem;
  z-index: 100;
  border-top-left-radius: 2.4em;
  border-top-right-radius: 2.4em;
  margin-top: -2.5rem;
}

.epilepsi-image-fade-in.bg-lilac {
  background-color: var(--color__lilac);
}

.epilepsi-image-fade-in.bg-light-purple {
  background-color: var(--color__light-purple);
}

.epilepsi-image-fade-in.has-saturation-effect {
  filter: saturate(1) brightness(1);
  will-change: filter;
}

.epilepsi-image-fade-in.has-bottom-spacing {
  padding-bottom: calc(16rem + 64vh);
}

.epilepsi-image-fade-in .content-wrapper {
  position: relative;
  width: 100%;
}

.epilepsi-image-fade-in .section-wrapper {
  position: relative;
  width: 100%;
  height: 156vh;
}

.epilepsi-image-fade-in .paragraph-container {
  position: -webkit-sticky;
  position: sticky;
  top: 36vh;
  width: 100%;
  color: var(--color__dark-purple);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  z-index: 100;
}

.epilepsi-image-fade-in .paragraph-text {
  text-align: center;
  text-wrap: balance;
  color: var(--color__dark-purple);
  max-width: 45vw;
  z-index: 101;
}

.epilepsi-image-fade-in .paragraph-text p {
  margin: 0;
}

.epilepsi-image-fade-in .paragraph-text p + p {
  margin-top: 1em;
}

@media (max-width: 87.5em) {
  .epilepsi-image-fade-in .paragraph-text:not(.paragraph-text--large) {
    font-size: 1.5rem;
  }
}
@media (max-width: 60em) {
  .epilepsi-image-fade-in .paragraph-text:not(.paragraph-text--large) {
    font-size: 1.25rem;
    max-width: 80vw;
  }
}
.epilepsi-image-fade-in .paragraph-text--large {
  max-width: 62vw;
  padding-top: 2rem;
}

@media (max-width: 87.5em) {
  .epilepsi-image-fade-in .paragraph-text--large {
    font-size: 2.5rem;
  }
}
@media (max-width: 60em) {
  .epilepsi-image-fade-in .paragraph-text--large {
    font-size: 1.75rem;
    max-width: 86vw;
  }
}
.epilepsi-image-fade-in .paragraph-container--large-text .paragraph-text {
  line-height: 110%;
}

.epilepsi-image-fade-in .fade-in-image {
  position: absolute;
  z-index: 10;
  width: 280px;
  height: 310px;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 10px;
}

@media (max-width: 87.5em) {
  .epilepsi-image-fade-in .fade-in-image {
    width: 220px;
    height: 260px;
  }
}
@media (max-width: 64em) {
  .epilepsi-image-fade-in .fade-in-image {
    width: 180px;
    height: 220px;
  }
}
.epilepsi-image-fade-in .fade-in-image.image-1 {
  top: 14vh;
  left: 8%;
}

.epilepsi-image-fade-in .fade-in-image.image-2 {
  top: 50vh;
  right: 4%;
}

.epilepsi-image-fade-in .fade-in-image.image-3 {
  top: 85vh;
  left: 4%;
}

.epilepsi-image-fade-in .fade-in-image.image-4 {
  top: 120vh;
  right: 10%;
}

.epilepsi-image-fade-in .section-wrapper--large-text .fade-in-image.image-1 {
  left: 2%;
}

.epilepsi-image-fade-in .section-wrapper--large-text .fade-in-image.image-4 {
  right: 4%;
}
